HELP2MAN(1)

NOM
help2man - génère une page de manuel sommaire

SYNOPSIS
help2man [OPTION]... EXECUTABLE

DESCRIPTION
`help2man' generates a man page out of `--help' and `--version' output.

-n, --name=STRING
    description for the NAME paragraph

-s, --section=SECTION
    section number for manual page (1, 6, 8)

-m, --manual=TEXT
    name of manual (User Commands, ...)

-S, --source=TEXT
    source of program (FSF, Debian, ...)

-L, --locale=STRING
    select locale (default "C")

-i, --include=FILE
    include material from `FILE'

-I, --opt-include=FILE
    include material from `FILE' if it exists

-o, --output=FILE
    send output to `FILE'

-p, --info-page=TEXT
    name of Texinfo manual

-N, --no-info
    suppress pointer to Texinfo manual

--help
    print this help, then exit

--version
    print version number, then exit

EXECUTABLE should accept `--help' and `--version' options and produce output on stdout although alternatives may be specified using:

-h, --help-option=STRING
    help option string

-v, --version-option=STRING
    version option string

--version-string=STRING
    version string

--no-discard-stderr
    include stderr when parsing option output

FICHIERS INCLUS
On peut ajouter un supplément de texte aux indications fournies par le programme grâce aux options --include et --opt-include. Le format est simple :
    [section]
    texte
    /motif/
    texte Les blocs de texte (au format *roff) sont insérés tels quels dans la sortie, soit au début de la zone désignée par [section] (balise insensible à la casse), soit après un paragraphe correspondant à /motif/. Les motifs obéissent à la syntaxe des expressions rationnelles de Perl et peuvent être suivis des modificateurs i, s ou m (voir perlre(1)). Les lignes précédant la première section (ou le premier motif) et commençant par « - » sont traitées comme des options. Tout le reste est ignoré sans aucun avertissement, et peut être utilisé pour des commentaires, des mots clés RCS ou d'autres éléments. L'ordre des sections produites est :
    NOM
    SYNOPSIS
    DESCRIPTION
    OPTIONS
    EXEMPLES
    autres
    AUTEUR
    SIGNALER DES BOGUES
    COPYRIGHT
    VOIR AUSSI Toute section [nom] ou [synopsis] apparaissant dans le fichier inclus va remplacer celle qui aurait êté générée automatiquement (mais vous pouvez encore remplacer la première avec --name si nécessaire). Le texte supplémentaire aux autres sections usuelles (celles apparaissant dans cette liste) est inséré avant la sortie générée automatiquement pour elles. Les sections non usuelles sont insérées à la place marquée autres dans la liste ci-dessus, dans l'ordre dans lequel ces sections apparaissent dans le fichier inclus.

DISPONIBILITÉ
La dernière version de cette distribution est disponible en ligne sur :
    ftp://ftp.gnu.org/gnu/help2man/

AUTEUR
Écrit par Brendan O'Dea <bod@debian.org>

SIGNALER DES BOGUES
Report bugs to <bug-help2man@gnu.org>.

COPYRIGHT
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009 Free Software Foundation, Inc.
Ce logiciel est libre ; voir les sources pour les conditions de reproduction. AUCUNE garantie n'est donnée, pas même la garantie implicite de COMMERCIALISATION ni l'ADAPTATION À UN BESOIN PARTICULIER.

VOIR AUSSI
La documentation complète pour help2man est mise à jour dans un manuel Texinfo (en anglais). Si les programmes info et help2man sont correctement installés sur votre système, la commande

    info help2man

devrait vous donner accès au manuel complet (en anglais).